@echo off
: Burnin Test                                
: CheckIt PRO: Tests & Tools v1.00
: Copyright (c) 1988 - 1993  TouchStone Software Corporation         

:Loading
if not exist CKCOM.EXE     goto NoAppLet
if not exist CKLPT.EXE     goto NoAppLet
if not exist CKHD.EXE      goto NoAppLet
if not exist CKSYS.EXE     goto NoAppLet
if not exist CKMEM.EXE     goto NoAppLet

if exist CKBURNIN.RPT del CKBURNIN.RPT
if exist CKBURNIN.JNL del CKBURNIN.JNL


:cksys
set return=test1
goto back

:test1
rem Usage: CKSYS [/T:options] [/I:interface] [/O:dest,format] 
rem        [-N:"note"]

CKSYS A /T:2C /I:bs /O:CKBURNIN.JNL,J /O:CKBURNIN.RPT,A /N:"CPU"
if errorlevel 11 goto ckfd
if errorlevel 9 goto exit

CKSYS A /T:2N /I:bs /O:CKBURNIN.JNL,J /O:CKBURNIN.RPT,A /N:"NPU"
if errorlevel 11 goto ckfd
if errorlevel 9 goto exit

CKSYS A /T:1R /I:bs /O:CKBURNIN.JNL,J /O:CKBURNIN.RPT,A /N:"CLOCK"
if errorlevel 11 goto ckfd
if errorlevel 9 goto exit

CKSYS A /T:2D /I:bs /O:CKBURNIN.JNL,J /O:CKBURNIN.RPT,A /N:"DMA"
if errorlevel 11 goto ckfd
if errorlevel 9 goto exit

CKSYS A /T:1I /I:bs /O:CKBURNIN.JNL,J /O:CKBURNIN.RPT,A /N:"INTERRUPT"
if errorlevel 11 goto ckhd
if errorlevel 9 goto exit


:ckhd
rem Usage: CKHD driveno [/T:options] [/I:interface] [/O:dest,format] 
rem        [-N:"note"]

CKHD 0 /T:1C /I:bs /O:CKBURNIN.JNL,J /O:CKBURNIN.RPT,A /N:"Controller"
if errorlevel 11 goto ckvid
if errorlevel 9 goto exit


:ckvid
rem Usage: CKHD driveno [/T:options] [/I:interface] [/O:dest,format] 
rem        [-N:"note"]

CKVID 0 DEMO /T:1p /I:bs /O:CKBURNIN.JNL,J /O:CKBURNIN.RPT,A /N:"Video pages"
if errorlevel 11 goto ckmem
if errorlevel 9 goto exit

CKVID 0 DEMO /T:1b /I:bs /O:CKBURNIN.JNL,J /O:CKBURNIN.RPT,A /N:"Video modes"
if errorlevel 11 goto ckmem
if errorlevel 9 goto exit



:ckmem
rem Usage: CKMEM [/T:options] [/I:interface] [/O:dest,format] 
rem        [-N:"note"]

CKMEM A /T:2C /I:bs /O:CKBURNIN.JNL,J /O:CKBURNIN.RPT,A /N:"All memory"
if errorlevel 11 goto ckcom
if errorlevel 9 goto exit

CKMEM B /T:2C /I:bs /O:CKBURNIN.JNL,J /O:CKBURNIN.RPT,A /N:"Base memory"
if errorlevel 11 goto ckcom
if errorlevel 9 goto exit

CKMEM U /T:4C /I:bs /O:CKBURNIN.JNL,J /O:CKBURNIN.RPT,A /N:"Upper memory"
if errorlevel 11 goto ckcom
if errorlevel 9 goto exit

CKMEM E /T:2C /I:bs /O:CKBURNIN.JNL,J /O:CKBURNIN.RPT,A /N:"Extended memory"
if errorlevel 11 goto ckcom
if errorlevel 9 goto exit

CKMEM X /T:2C /I:bs /O:CKBURNIN.JNL,J /O:CKBURNIN.RPT,A /N:"Expanded memory"
if errorlevel 11 goto ckcom
if errorlevel 9 goto exit

CKMEM V /T:4C /I:bs /O:CKBURNIN.JNL,J /O:CKBURNIN.RPT,A /N:"Primary video memory"
if errorlevel 11 goto ckcom
if errorlevel 9 goto exit


:ckcom
rem    Usage: CKCOM portno [/T:#device] [/I:interface] [/O:dest,format] 
rem           [/N:"note"]

CKCOM 1 /T:2L /I:bs /O:CKBURNIN.JNL,J /O:CKBURNIN.RPT,A /N:"Test COM1"
if errorlevel 11 goto cklpt
if errorlevel 9 goto exit

CKCOM 2 /T:2L /I:bs /O:CKBURNIN.JNL,J /O:CKBURNIN.RPT,A /N:"Test COM2"
if errorlevel 11 goto cklpt
if errorlevel 9 goto exit

CKCOM 3 /T:2L /I:bs /O:CKBURNIN.JNL,J /O:CKBURNIN.RPT,A /N:"Test COM3"
if errorlevel 11 goto cklpt
if errorlevel 9 goto exit

CKCOM 4 /T:2L /I:bs /O:CKBURNIN.JNL,J /O:CKBURNIN.RPT,A /N:"Test COM4"
if errorlevel 11 goto cklpt
if errorlevel 9 goto exit


:cklpt
rem    Usage: CKLPT portno [/T:#device] [/I:interface] [/O:dest,format] 
rem           [/N:"note"]

CKLPT 1 /T:N1 /I:bs /O:CKBURNIN.JNL,J /O:CKBURNIN.RPT,A /N:"Test LPT1"
if errorlevel 11 goto end
if errorlevel 9 goto exit

CKLPT 2 /T:L1 /I:bs /O:CKBURNIN.JNL,J /O:CKBURNIN.RPT,A /N:"Test LPT2"
if errorlevel 11 goto end
if errorlevel 9 goto exit

CKLPT 3 /T:L1 /I:bs /O:CKBURNIN.JNL,J /O:CKBURNIN.RPT,A /N:"Test LPT3"
if errorlevel 11 goto end
if errorlevel 9 goto exit

goto end


:NoAppLet
echo 
echo 
echo ͻ
echo                                                     
echo                         Error                       
echo                                                     
echo          One or more of the CheckIt Applets         
echo                                                     
echo                   has not been found                
echo                                                     
echo                                                     
echo ͼ
echo 
echo 
echo 
echo 
echo 
echo 
pause
goto end


:back
echo 
echo 
echo ͻ
echo                                                     
echo                                                     
echo                                                     
echo                                                     
echo                                                     
echo                                                     
echo                                                     
echo                                                     
echo ͼ
echo 
echo 
echo 
echo 
echo 
echo 
echo                            Press ESC to interrupt 
goto %return%

:exit
:Do not remove this line.  This command is needed to update the status screen.  
echo exit > ckburnin.tmp
cls
goto end


:end
cls
ckview ckburnin.rpt /F:"FAIL"
