@echo off
: Certificate                                
: CheckIt PRO: Tests & Tools v1.00
: Copyright (c) 1988 - 1993  TouchStone Software Corporation         


:Loading
if not exist CKCOM.EXE     goto NoAppLet
if not exist CKLPT.EXE     goto NoAppLet
if not exist CKFD.EXE      goto NoAppLet
if not exist CKHD.EXE      goto NoAppLet
if not exist CKSYS.EXE     goto NoAppLet
if not exist CKMEM.EXE     goto NoAppLet
if not exist CKVID.EXE     goto NoAppLet

if exist CKCERT.RPT del CKCERT.RPT
if exist CKCERT.JNL del CKCERT.JNL


:cksys
set return=test1
goto back

:test1
rem Usage: CKSYS [/T:options] [/I:interface] [/O:dest,format] 
rem        [-N:"note"]

CKSYS A /T:CNRDI /I:bs /O:CKCERT.JNL,J /O:CKCERT.RPT,A /N:"CPU, NPU, CLOCK, DMA, INTERRUPT"
if errorlevel 11 goto ckfd
if errorlevel 9 goto exit


:ckfd
rem Usage: CKFD driveno [/T:options] [/I:interface] [/O:dest,format] 
rem        [-N:"note"]

CKFD 0 1 /T:M /I:bs /O:CKCERT.JNL,J /O:CKCERT.RPT,A /N:"Media test"
if errorlevel 11 goto ckhd
if errorlevel 9 goto exit

CKFD 0 1 /T:PF /I:bs /O:CKCERT.JNL,J /O:CKCERT.RPT,A /N:"Physical test"
if errorlevel 11 goto ckhd
if errorlevel 9 goto exit


:ckhd
rem Usage: CKHD driveno [/T:options] [/I:interface] [/O:dest,format] 
rem        [-N:"note"]

CKHD 0 1 /T:CBL /I:bs /O:CKCERT.JNL,J /O:CKCERT.RPT,A /N:"Controller, Butterfly, Linear"
if errorlevel 11 goto ckvid
if errorlevel 9 goto exit


:ckvid
rem Usage: CKVID adapternum [/T:options] [/I:interface] [/O:dest,format] 
rem        [-N:"note"]

CKVID 0 DEMO /T:1bpcmt /I:bs /O:CKCERT.JNL,J /O:CKCERT.RPT,A /N:"Video pages, Video modes, Color palettes, Monitor quality, Text attributes"
if errorlevel 11 goto ckmem
if errorlevel 9 goto exit


:ckmem
rem Usage: CKMEM [/T:options] [/I:interface] [/O:dest,format] 
rem        [-N:"note"]

CKMEM A V /T:C /I:bs /O:CKCERT.JNL,J /O:CKCERT.RPT,A /N:"All memory, Primary video memory"
if errorlevel 11 goto ckcom
if errorlevel 9 goto exit


:ckcom
rem    Usage: CKCOM portno [/T:#device] [/I:interface] [/O:dest,format] 
rem           [/N:"note"]

CKCOM 1 2 3 4 /T:L /I:bs /O:CKCERT.JNL,J /O:CKCERT.RPT,A /N:"Test COM1, COM2, COM3, COM4"
if errorlevel 11 goto cklpt
if errorlevel 9 goto exit


:cklpt
rem    Usage: CKLPT portno [/T:#device] [/I:interface] [/O:dest,format] 
rem           [/N:"note"]

CKLPT 1 2 3 /T:L /I:bs /O:CKCERT.JNL,J /O:CKCERT.RPT,A /N:"Test LPT1, LPT2, LPT3"
if errorlevel 11 goto end
if errorlevel 9 goto exit


goto end


:NoAppLet
echo 
echo 
echo ͻ
echo                                                     
echo                         Error                       
echo                                                     
echo          One or more of the CheckIt Applets         
echo                                                     
echo                   has not been found                
echo                                                     
echo                                                     
echo ͼ
echo 
echo 
echo 
echo 
echo 
echo 
pause
goto end


:back
echo 
echo 
echo ͻ
echo                                                     
echo                                                     
echo                                                     
echo                                                     
echo                                                     
echo                                                     
echo                                                     
echo                                                     
echo ͼ
echo 
echo 
echo 
echo 
echo 
echo 
echo                            Press ESC to interrupt 
goto %return%

:exit
:Do not remove this line.  This command is needed to update the status screen.  
echo exit > CKCERT.tmp
cls
goto end


:end
cls
ckview ckpro.cer





